### Function

# Gio bus_own_name_on_connection

since: 2.26

#### Declaration

    guint
    g_bus_own_name_on_connection (
      GDBusConnection* connection,
      const gchar* name,
      GBusNameOwnerFlags flags,
      GBusNameAcquiredCallback name_acquired_handler,
      GBusNameLostCallback name_lost_handler,
      gpointer user_data,
      GDestroyNotify user_data_free_func
    )

#### Description

Like `g_bus_own_name()` but takes a `GDBusConnection` instead of a `GBusType`.

Available since: 2.26

The implementation of this function is provided by `g_bus_own_name_on_connection_with_closures()` in language bindings.

#### Parameters

`connection`

  Type: `GDBusConnection`

  A `GDBusConnection`.

  The data is owned by the caller of the function.

`name`

  Type: `const gchar*`

  The well-known name to own.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GBusNameOwnerFlags`

  A set of flags from the `GBusNameOwnerFlags` enumeration.

`name_acquired_handler`

  Type: `GBusNameAcquiredCallback`

  Handler to invoke when `name` is acquired or `NULL`.

  The argument can be `NULL`.

`name_lost_handler`

  Type: `GBusNameLostCallback`

  Handler to invoke when `name` is lost or `NULL`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data to pass to handlers.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`user_data_free_func`

  Type: `GDestroyNotify`

  Function for freeing `user_data` or `NULL`.

  The argument can be `NULL`.

#### Return value

Type: `guint`

An identifier (never 0) that can be used with `g_bus_unown_name()` to stop owning the name.